Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model
Interface Storage

All Superinterfaces:
  Disposable

    public interface Storage

extends Disposable

Low-level holder of frames.

Author:
  Ray Fergerson

Method Summary
`void` | `addFrame(Frame frame)`
`void` | `addValue(Frame frame, Slot slot, Facet facet, boolean isTemplate, Object value)`
`void` | `addValue(Frame frame, Slot slot, Facet facet, boolean isTemplate, Object value, int index)`
`boolean` | `beginTransaction()`
`boolean` | `containsFrame(Frame frame)`
`boolean` | `containsFrame(String name)`
`boolean` | `endTransaction(boolean doCommit)`
`int` | `getClsCount()`
`int` | `getFacetCount()`
`Frame` | `getFrame(FrameID id)`
`Frame` | `getFrame(String name)`
`int` | `getFrameCount()`
`Collection` | `getFrames()`
`Collection` | `getFramesWithValue(Slot slot, Facet facet, boolean isTemplate, Object o)`
`Collection<Frame>` | `getMatchingFrames(Slot slot, Facet facet, boolean isTemplate, String s, int maxMatches)`
`Collection<Reference>` | `getReferences(Object o, int maxReferences)`
`int` | `getSlotCount()`
`Object` | `getValue(Frame frame, Slot slot, Facet facet, boolean isTemplate)`
`int` | `getValueCount(Frame frame, Slot slot, Facet facet, boolean isTemplate)`
`ArrayList` | `getValues(Frame frame, Slot slot, Facet facet, boolean isTemplate)`
`boolean` | `hasValue(Frame frame, Slot slot, Facet facet, boolean isTemplate, Object value)`
`boolean` | `hasValueAtSomeFrame(Slot slot, Facet facet, boolean isTemplate)`
`void` | `moveValue(Frame frame, Slot slot, Facet facet, boolean isTemplate, int from, int to)`
`void` | `remove(Frame frame, Slot slot, Facet facet, boolean isTemplate)`
`void` | `removeFrame(Frame frame)`
`void` | `removeSingleValue(Frame frame, Slot slot, Facet facet, boolean isTemplate, Object value)` remove a single occurance of value from the slot/facet value
`void` | `removeValues(Slot slot, Facet facet, boolean isTemplate, Cls cls)`
`void` | `replace(Frame from, Frame to)`
`void` | `setValue(Frame frame, Slot slot, Facet facet, boolean isTemplate, Object value)`
`void` | `setValues(Frame frame, Slot slot, Facet facet, boolean isTemplate, Collection values)`
`boolean` | `supportsTransactions()`

Methods inherited from interface edu.stanford.smi.protege.util.Disposable
`dispose`

Method Detail

### addFrame

    void addFrame(Frame frame)

### addValue

    void addValue(Frame frame,
                  Slot slot,
                  Facet facet,
                  boolean isTemplate,
                  Object value)

### addValue

    void addValue(Frame frame,
                  Slot slot,
                  Facet facet,
                  boolean isTemplate,
                  Object value,
                  int index)

### beginTransaction

    boolean beginTransaction()

### containsFrame

    boolean containsFrame(Frame frame)

### containsFrame

    boolean containsFrame(String name)

### endTransaction

    boolean endTransaction(boolean doCommit)

### getFrame

    Frame getFrame(FrameID id)

### getFrame

    Frame getFrame(String name)

### getFrameCount

    int getFrameCount()

### getFacetCount

    int getFacetCount()

### getSlotCount

    int getSlotCount()

### getClsCount

    int getClsCount()

### getFrames

    Collection getFrames()

### getMatchingFrames

    Collection<Frame> getMatchingFrames(Slot slot,
                                        Facet facet,
                                        boolean isTemplate,
                                        String s,
                                        int maxMatches)

### getFramesWithValue

    Collection getFramesWithValue(Slot slot,
                                  Facet facet,
                                  boolean isTemplate,
                                  Object o)

### getReferences

    Collection<Reference> getReferences(Object o,
                                        int maxReferences)

### getValue

    Object getValue(Frame frame,
                    Slot slot,
                    Facet facet,
                    boolean isTemplate)

### getValueCount

    int getValueCount(Frame frame,
                      Slot slot,
                      Facet facet,
                      boolean isTemplate)

### getValues

    ArrayList getValues(Frame frame,
                        Slot slot,
                        Facet facet,
                        boolean isTemplate)

### hasValue

    boolean hasValue(Frame frame,
                     Slot slot,
                     Facet facet,
                     boolean isTemplate,
                     Object value)

### hasValueAtSomeFrame

    boolean hasValueAtSomeFrame(Slot slot,
                                Facet facet,
                                boolean isTemplate)

### moveValue

    void moveValue(Frame frame,
                   Slot slot,
                   Facet facet,
                   boolean isTemplate,
                   int from,
                   int to)

### remove

    void remove(Frame frame,
                Slot slot,
                Facet facet,
                boolean isTemplate)

### removeFrame

    void removeFrame(Frame frame)

### removeSingleValue

    void removeSingleValue(Frame frame,
                           Slot slot,
                           Facet facet,
                           boolean isTemplate,
                           Object value)

  remove a single occurance of value from the slot/facet value

### removeValues

    void removeValues(Slot slot,
                      Facet facet,
                      boolean isTemplate,
                      Cls cls)

### replace

    void replace(Frame from,
                 Frame to)

### setValue

    void setValue(Frame frame,
                  Slot slot,
                  Facet facet,
                  boolean isTemplate,
                  Object value)

### setValues

    void setValues(Frame frame,
                   Slot slot,
                   Facet facet,
                   boolean isTemplate,
                   Collection values)

### supportsTransactions

    boolean supportsTransactions()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.